﻿using DependencyAnalysis;
using DependencyAnalysis.DataModel;
using WpfControlLibrary1;

namespace XamlTests
{
    public class XamlTestBase
    {
        protected static readonly IDependencyModel Model;
        protected static readonly IVerifier Verifier;

        static XamlTestBase()
        {
            var setup = Setup.BuildStandardSetup();
            setup.StartAnalysis(new[] { typeof(UserControl1).Assembly });
            Model = setup.Model;
            Verifier = setup.Verifier;
        }
    }
}
