﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using DependencyAnalysis.DataModel;
using theeg.GraphWpf.Models;

namespace theeg.DependencyAnalysis.CommonAddin.Models
{
    public class GraphParameter
    {
        private readonly ICollection<Node> _nodes = new Collection<Node>();
        private readonly ICollection<Transition> _transitions = new Collection<Transition>();
        public IDescriptor Descriptor { get; set; }
        public ICollection<Node> Nodes
        {
            get { return _nodes; }
        }

        public ICollection<Transition> Transitions
        {
            get { return _transitions; }
        }
    }
}