﻿using System.Collections.ObjectModel;
using theeg.GraphWpf.Arrangement;

namespace theeg.GraphWpf.Models
{
    public interface IGraph
    {
        ObservableCollection<INode> Nodes { get; }
        ObservableCollection<Transition> Transitions { get; }
        IArrangement Arrangement { get; set; }

        void Arrange();
    }
}
