﻿using System;
using System.Collections.Generic;
using DependencyAnalysis.DataModel;

namespace theeg.DependencyAnalysis.CommonAddin.Models
{
    public class Test<T> where T : IDescriptor
    {
        public IList<Tuple<T, State>> Result { get; set; }

        public Func<T, State, bool> Rule { get; set; }

        public Predicate<T> Filter { get; set; }

        public string Category { get; set; }
    }
}
