﻿using System.Linq;
using MonoDevelop.Projects;
using theeg.DependencyAnalysis.CommonAddin.Models;

namespace theeg.DependencyAnalysis.MonoAddin
{
    public class MonoProject : IProject
    {
        private Project _project;

        public string Name { get; set; }

        public bool IsSelected { get; set; }

        public string OutputFileName
        {
            get
            {
                return _project.GetOutputFiles(ConfigurationSelector.Default).FirstOrDefault();
            }
        }

        public MonoProject(Project project)
        {
            _project = project;
        }

        public static bool IsClrProject(Project project)
        {
            return true;
        }
    }
}
