﻿using System.Collections.Generic;
using System.Windows.Media;
using theeg.GeometryWpf;

namespace theeg.GraphWpf.Models
{
    public interface INode : IHilbertTreeNode
    {
        double Left { get; set; }
        double Top { get; set; }
        string Text { get; set; }
        Brush Stroke { get; set; }
        Brush Background { get; set; }
        Brush Foreground { get; set; }
        double Height { get; set; }
        double Width { get; set; }
        object DataObject { get; set; }
        List<Transition> IncomingEdges { get; }
        List<Transition> OutgoingEdges { get; }
        NodeShape NodeShape { get; set; }
        int GenericMarker { get; set; }
    }
}